#include "accserviceform.h"
#include "ui_accserviceform.h"
#include <combodata.h>
#include <qlist.h>


AccServiceForm::AccServiceForm(QWidget *parent) :
    AutoForm<AccService>(parent),
    ui(new Ui::AccServiceForm)
{
    ui->setupUi(this);
    registerBinding(ui->accServiceName);
    registerBinding(ui->accServiceCode);
    registerBinding(ui->price);
    registerBinding(ui->salePossible);
    registerBinding(ui->active);
    QList<ComboData> cd ;
    cd << ComboData(AccService::CAR,tr("Car")) << ComboData(AccService::TENT,tr("Tent")) << ComboData(AccService::OTHER,tr("OTHER"));
    registerBinding(ui->serviceType,cd);
    QList<ComboData> vt ;
    vt << ComboData(Enums::HIGH,tr("High")) << ComboData(Enums::FIRST_LOWER,tr("First Lower")) << ComboData(Enums::SECOND_LOWER,tr("Second Lower"));
    registerBinding(ui->vatType,vt);

}

AccServiceForm::~AccServiceForm()
{
    delete ui;
}


